#ifndef __MATCH_TCP_PLUGIN_HEADER_INCLUDED__
#define __MATCH_TCP_PLUGIN_HEADER_INCLUDED__

#include <g_globals.h>
#include <s_globals.h>
#include <plugins.h>

#define MODE_NORMAL	0
#define MODE_ALL	1
#define MODE_ANY	2
#define MODE_NOT	3

/* Taken from snort due to discrepancies
* in OS headers */
#define R_FIN		0x01
#define R_SYN		0x02
#define R_RST		0x04
#define R_PSH		0x08
#define R_ACK		0x10
#define R_URG		0x20
#define R_RES2		0x40 /* ECN echo */
#define R_RES1		0x80 /* Congestion window reduced */

typedef struct tcpflag_priv{
	u_char	tcp_flags;
	u_char	 mode;
}tcpflag_priv_t, *p_tcpflag_priv;

#endif /* __MATCH_TCP_PLUGIN_HEADER_INCLUDED__ */
